/// Use this class as an annotation to define a class to be cloneable
/// so the the code generator can generate the boilerplate code for it
class Cloneable {
  /// If true all synthetic fields will not be taken into account when cloning.
  /// (Synthetic fields are those represented by set and get definitions)
  final bool ignoreSynthetic;

  const Cloneable({
    this.ignoreSynthetic = false,
  });
}
